View Issue Details

IDProjectCategoryView StatusLast Update
0008298VALENTINA SERVERini-filepublic2018-07-07 16:15
ReporterRuslan ZasukhinAssigned ToIvan Smahin 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.3.x 
Target Version8.5.xFixed in Version8.3.x 
Summary0008298: Crash on the creation of a new database with enabled privileges.
DescriptionI was able to get it working so I went through my deployment setup and diff’ed the vserver.ini to narrow down the problem. Turns out:

; 1 - Check privileges.
; 0 - Default value - no privileges checks.
PrivilegesEnable=0

If that is flipped to 1 which I had set as default then the server crash occurs on Linux upon creation of database.
Steps To ReproduceSergey, maybe you try to reproduce, then describe to Ivan how to ?
TagsNo tags attached.

Activities

Sergey Pashkov

Sergey Pashkov

2018-07-05 18:28

developer   ~0010238

The same thing on macOS - the server crashes on the creation of a new database with enabled privileges.

Issue History

Date Modified Username Field Change
2018-06-30 15:29 Ruslan Zasukhin New Issue
2018-06-30 15:29 Ruslan Zasukhin Status new => assigned
2018-06-30 15:29 Ruslan Zasukhin Assigned To => Sergey Pashkov
2018-07-05 18:26 Sergey Pashkov Assigned To Sergey Pashkov => Ivan Smahin
2018-07-05 18:28 Sergey Pashkov Note Added: 0010238
2018-07-06 11:32 Ivan Smahin Status assigned => resolved
2018-07-06 11:32 Ivan Smahin Fixed in Version => 8.3.x
2018-07-06 11:32 Ivan Smahin Resolution open => fixed
2018-07-07 16:15 Ruslan Zasukhin Summary Crash if vserver runs under Docker AND PrivilegesEnable=1 => Crash on the creation of a new database with enabled privileges.